## FUNCTIONS

### Prerequisites

You have generated the demo data for the SQL Tutorial.

Log on to the demo database instance DEMODB as user MONA.

Create database functions. Proceed as described in the SQL Tutorial, Database Functions.

### Examples

You can use the system table FUNCTIONS to determine the following database information, among other things:

● All database functions of the HOTEL schema that were created in the last 10 days

SELECT schemaname, functionname
FROM DOMAIN.FUNCTIONS
WHERE schemaname = 'HOTEL' AND createdate >= SUBDATE(DATE,10)

● Parameters of the database function AVGPRICE

SELECT schemaname, functionname, parameter
FROM DOMAIN.FUNCTIONS
WHERE functionname = 'AVGPRICE'

Parameters of a database function: see DBPROCPARAMS